Get Applications

Get all applications for current user.

Filtering

Filter applications using query parameters with format: field_name__operator=value.
Multiple filters can be combined.

Operators:

  • eq - equals
  • neq - not equals
  • in - in list (comma-separated values)
  • contains - find if an element or a sublist are contained in a list. This also handles substring match
  • lt - less than
  • gt - greater than
  • lte - less than or equal
  • gte - greater than or equal

Special values:

  • Use null for null values
  • For in operator, use comma-separated values

Custom fields:

  • Prefix with custom_field_, e.g., custom_field_my_field__eq=value

Filterable fields:

  • id, application_status, status_execution, status_review, risk_level
  • assignee_user_id, collect_status, campaign_id, workspace_id, waiting_on_actor_id
  • pending_review_trigger_event_type
  • external_reference, organization_name, country, legal_type, local_number, ìs_breaching_sla`
  • Any custom fields (with custom_field_ prefix)

Examples:

  • ?status_execution__eq=done - Filter by execution status
  • ?country__eq=FRA - Filter by country
  • ?application_status__in=failed,ready_for_decision - Filter by multiple statuses
  • ?risk_level__gt=1 - Filter by risk level greater than 1
  • ?organization_name__contains=Acme - Filter by organization name containing "Acme"
  • ?assignee_user_id__eq=null - Filter by null assignee
  • ?is_breaching_sla__eq=true - Filter by SLA breaching status
  • ?custom_field_text_field__eq=foobar - Filter by custom field
  • ?status_execution__eq=done&country__eq=FRA - Combine multiple filters
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
Defaults to 0
integer
Defaults to 100
string

Sort results by field and direction using format: field_name__direction. Directions: asc (ascending), desc (descending). Example: created_at__desc sorts by creation date, newest first. Only one sort parameter supported at a time. Defaults to created_at__desc. Also accepts name, the business or person name. Empty values come last in both directions. When search is set, results are ranked by relevance first and the sort only orders cases of equal relevance.

Fuzzy text search across multiple fields:business.organization_name, business.local_number, person.given_names and person.last_name.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json